import { __awaiter } from "tslib";
import { fastProgress, provideFASTDesignSystem } from '@microsoft/fast-components';
import { logger } from '../utils';
provideFASTDesignSystem().register(fastProgress());
var ResourceType;
(function (ResourceType) {
    ResourceType["LOCAL"] = "LOCAL";
    ResourceType["REMOTE"] = "REMOTE";
})(ResourceType || (ResourceType = {}));
function loadZeroFallback() {
    return import('@genesislcap/foundation-zero');
}
function loadZeroDesignSystem() {
    return __awaiter(this, void 0, void 0, function* () {
        let type = ResourceType.REMOTE;
        try {
            return yield import('foundationZero/ZeroDesignSystem');
        }
        catch (e) {
            type = ResourceType.LOCAL;
            return yield loadZeroFallback();
        }
        finally {
            logger.debug(`Using '${type}' version of foundationZero/ZeroDesignSystem`);
        }
    });
}
function loadRemotes(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem } = yield loadZeroDesignSystem();
        return {
            ZeroDesignSystem: registerZeroDesignSystem(),
        };
    });
}
export { loadRemotes, loadZeroDesignSystem };
